import 'package:insurance_card_scanner/models/models.dart';

extension CardModelResponseExt on CardResponse {
  ScannedCard toCard() {
    return ScannedCard(
      id: id,
      name: details?.memberName?.value ?? '',
      memberId: details?.memberNumber?.value ?? '',
      groupId: details?.groupNumber?.value ?? '',
      date: createdAt,
      dependents:
          details?.dependentNames?.map((e) => e.value.toString()).toList() ??
              [],
      planId: details?.planId?.value ?? '',
      planName: details?.planName?.value ?? '',
      payerName: details?.payerName?.value ?? '',
      rxBin: details?.rxBin?.value ?? '',
      rxPcn: details?.rxPcn?.value ?? '',
      rxGroup: details?.rxGroup?.value ?? '',
      cardSpecificId: details?.cardSpecificId?.value ?? '',
      startDate: details?.startDate?.value ?? '',
      state: state,
      message: message,
    );
  }
}
