/// States for card scanning process.
enum CardScanState {
  /// Card ID has been reserved but a corresponding file has not yet been
  /// uploaded
  processing,

  /// Card is being processed by CardScan ML pipeline.
  pending,

  /// Card processing is completed and the card details are available.
  completed,

  /// An error has occurred, see `error_message` for more details.
  error,

  /// Unknown issue occurred.
  unknown
}
