import 'package:flutter/material.dart';

/// Extension methods for nullable color variables
extension ColorExtensions on Color? {
  /// Method for converting color into CSS Hex color with alpha values
  String? toCSSHex() {
    if (this == null) return null;

    final alpha = this!.alpha.toRadixString(16).padLeft(2, '0');
    final red = this!.red.toRadixString(16).padLeft(2, '0');
    final green = this!.green.toRadixString(16).padLeft(2, '0');
    final blue = this!.blue.toRadixString(16).padLeft(2, '0');

    return '#$red$green$blue$alpha'.toUpperCase();
  }
}
