import 'package:flutter/material.dart';
import 'package:insurance_card_scanner/utils/color_extensions.dart';
import 'package:test/test.dart';

void main() {
  group('Dart colors should become a CSS Hex format color', () {
    test('dart default red color should become #F44336FF', () {
      const redColor = Colors.red;
      expect(redColor.toCSSHex(), '#F44336FF');
    });

    test('green color with half opacity should become #4CAF5080', () {
      final greenColor = Colors.green.withOpacity(0.5);
      expect(greenColor.toCSSHex(), '#4CAF5080');
    });

    test('null value should return null', () {
      expect(null.toCSSHex(), null);
    });
  });
}
